-- Customer specific once-script AAIT#30302.
--
-- (c) 2014 SG|facilitor bv
SET ECHO ON
SET DEFINE ON
column fcltlogfile new_value fcltlogfile NOPRINT;
select UPPER(USER) || '_AAIT#30302' || '.lst' as fcltlogfile from dual;
spool &fcltlogfile
SET DEFINE OFF

DECLARE
   CURSOR c
   IS
      SELECT 1392367647150 * prs_perslid_key ww, prs_perslid_key
        FROM prs_perslid
       WHERE prs_perslid_verwijder IS NULL
         AND prs_perslid_wachtwoord_hash IS NULL;
BEGIN
   FOR rec IN c
   LOOP
      BEGIN
         prs.setpassword (rec.prs_perslid_key, TO_CHAR (rec.ww));
      END;
   END LOOP;

   COMMIT;
END;
/

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
